#! /usr/bin/env bash

set -o errexit

container=$(buildah from pycuda:latest)

buildah config --env LANG="C.UTF-8" --env LC_ALL="C.UTF-8" --env TERM="xterm" $container
buildah run $container sh -c 'apt-get install -y libxcomposite-dev libxcursor-dev libxdamage-dev libxtst6 libpci3'


buildah commit --format docker $container dragonfly:latest
