#! /usr/bin/env bash

set -o errexit

tag=latest
[ -n "$1" ] && tag="$1"

container=$(buildah from astra:$tag)

buildah config --env LANG="C.UTF-8" --env LC_ALL="C.UTF-8" --env TERM="xterm" --env CIL_VERSION=21.0.0 --env HOME=/ccpi/data --env LD_LIBRARY_PATH="/ccpi/repos/CCPi-Regularisation-Toolkit/src/Core:/ccpi/repos/CCPi-Framework/src/Core" $container
buildah run $container bash /root/setup/repos.sh "ccpi"

buildah commit --format docker $container ccpi:$tag
