#! /bin/bash

set -o errexit

. config.sh

if [ ! -d ../repos ]; then
    buildah unshare bash ../build/extract.sh ${image}
fi

podman run --name "ccpi-devel" -it $options $volumes ${image} bash /root/setup/provision.sh
podman container cp ../repos/ ccpi-devel:/ccpi/
podman container commit ccpi-devel ${image}:devel
podman rm ccpi-devel
