#! /usr/bin/env bash

set -o errexit

tag=latest
[ -n "$1" ] && tag="$1"

container=$(buildah from pycuda:$tag)

buildah config --env LANG="C.UTF-8" --env LC_ALL="C.UTF-8" --env TERM="xterm" --env HOME=/ccpi/data $container
buildah run $container bash /root/setup/repos.sh "astra"

buildah commit --format docker $container astra:$tag
